import React, { useState } from 'react';
import Header from '../../widgets/header';
import { useForm, SubmitHandler } from 'react-hook-form';

const CreatePage = (): React.ReactElement | string => {
  const {
    register,
    handleSubmit,
    watch,
    formState: { errors },
  } = useForm({
    mode: 'onBlur',
  });
  const onSubmit = (data: unknown) => console.log(data);

  return (
    <>
      <Header />
      <main>
        <h1>Create</h1>
        <form
          style={{ display: 'flex', flexDirection: 'column' }}
          onSubmit={handleSubmit(onSubmit, (errors) => {
            console.log('valid form', errors);
          })}
        >
          <label>
            Name
            <input
              type="text"
              placeholder="DD.MM.YYYY"
              {...register('name', {
                required: 'Поле обязательно для заполнения',
              })}
            />
            {errors.name && <span style={{ color: 'red' }}>{errors.name.message?.toString()}</span>}
          </label>
          <label>
            description
            <input type="text" name={'description'} />
          </label>
          <label>
            Age
            <input type="number" name={'age'} />
          </label>
          <button>Submit</button>
        </form>
      </main>
    </>
  );
};

export default CreatePage;
