import React, { useEffect, useState } from 'react';
import Arrow from '../arrow';
import LrButton from '../lr-button/lrButton';
import './styles.css';
import FirstImg from '../../../../../images/img.png';
import SecondImg from '../../../../../images/img_1.png';

enum CubItem {
  FIRST = 0,
  SECOND = 1,
}

const getBackGround = (item: CubItem) => {
  return item === CubItem.FIRST
    ? `center / cover no-repeat url(${FirstImg}), #F8F8F8`
    : `center / cover no-repeat url(${SecondImg}), #F8F8F8`;
};

let prevTime = new Date().getTime();

const Cubs = () => {
  const [curIndex, setCurIndex] = useState<CubItem>(CubItem.FIRST);

  useEffect(() => {
    const interval = setInterval(() => {
      const newTime = new Date().getTime();
      prevTime = newTime;
      setCurIndex((prevIndex) => {
        return prevIndex === CubItem.FIRST ? CubItem.SECOND : CubItem.FIRST;
      });
    }, 3000);

    return () => {
      clearInterval(interval);
    };
  }, [curIndex]);

  const setFirst = () => setCurIndex(CubItem.FIRST);
  const setSecond = () => setCurIndex(CubItem.SECOND);

  return (
    <div className="hero-cubs">
      <div className="hero-cub1" style={{ background: getBackGround(curIndex) }}>
        <Arrow />
        <div
          className="hero-cub2"
          style={{
            background: getBackGround(curIndex === CubItem.FIRST ? CubItem.SECOND : CubItem.FIRST),
          }}
        ></div>
      </div>
      <LrButton
        onLeftClick={curIndex === CubItem.SECOND ? setFirst : undefined}
        onRightClick={curIndex === CubItem.FIRST ? setSecond : undefined}
      />
    </div>
  );
};

export default Cubs;
