import React from 'react';
import logoUrl from '../../images/logo.svg';
import { generatePath, NavLink } from 'react-router';
import { routes } from '../../routes';

const Header = (): React.ReactElement => {

  return (
    <header className="header container">
      <NavLink to={routes.home} end>
        <img className="logo" src={logoUrl} alt="" />
      </NavLink>
      <nav>
        <ul className="nav-list">
          <li>
            <NavLink to="/discover">Discover</NavLink>
          </li>
          <li>
            <NavLink to={generatePath(routes.create, { city: '12345' })}>creators</NavLink>
          </li>
          <li>
            <NavLink to="/creators">creators</NavLink>
          </li>
          <li>
            <NavLink to="/creators">creators</NavLink>
          </li>
        </ul>
      </nav>
      <button className="button">Connect Wallet</button>
    </header>
  );
};

export default Header;
